> ## Documentation Index
> Fetch the complete documentation index at: https://doc.seerbit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Transaction

> This option is used to complete an account transaction, when OTP is required



## OpenAPI

````yaml https://raw.githubusercontent.com/seerbit/openapi/master/specs/external-api.yml post /payments/validate
openapi: 3.0.1
info:
  title: SeerBit API Reference
  contact: {}
  version: '1.0'
servers:
  - url: https://seerbitapi.com/api/v2
security: []
tags:
  - name: AUTHENTICATION
  - name: STANDARD CHECKOUT
  - name: ORDER CHECKOUT
  - name: PAYMENT METHOD
  - name: MOMO
  - name: NON 3DS PAYMENT
  - name: CARD
  - name: ACCOUNT
  - name: TOKENIZE
  - name: AUTHORISE
  - name: PREAUTHORIZATION
  - name: RECURRENT
paths:
  /payments/validate:
    post:
      tags:
        - ACCOUNT
      summary: Validate Transaction
      description: >-
        This option is used to complete an account transaction, when OTP is
        required
      operationId: ValidateTransaction
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateTransactionRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
              examples:
                ValidateTransactionResponse:
                  $ref: '#/components/examples/ValidateTransactionResponse'
                ValidateTransactionResponse1:
                  $ref: '#/components/examples/ValidateTransactionResponse1'
                ValidateTransactionResponse2:
                  $ref: '#/components/examples/ValidateTransactionResponse2'
                ValidateTransactionResponse3:
                  $ref: '#/components/examples/ValidateTransactionResponse3'
        '400':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/400Response'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
              examples:
                500Response:
                  $ref: '#/components/examples/500Response'
      deprecated: false
      security:
        - Bearer: []
components:
  schemas:
    ValidateTransactionRequest:
      title: ValidateTransactionRequest
      required:
        - linkingReference
        - otp
      type: object
      properties:
        linkingReference:
          type: string
          description: This is the internal gateway reference
        otp:
          type: string
          description: This is the TOKEN sent to customer’s phone or email
      example:
        linkingReference: F092648971601293723061
        otp: '123456'
  examples:
    ValidateTransactionResponse:
      summary: An example of 200 response payload
      value:
        status: SUCCESS
        data:
          code: '00'
          payments:
            paymentReference: VERS2FURTHERTESTAc722456784
            linkingReference: F282866521599191373372
            authoption: []
          message: Successful
    ValidateTransactionResponse1:
      summary: An example of 200 response payload
      value:
        status: SUCCESS
        data:
          code: RR
          payments:
            paymentReference: VERS2FURTHERTESTAc722456784
            linkingReference: F282866521599191373372
            authoption: []
          message: Sorry payment already processed
    ValidateTransactionResponse2:
      summary: An example of 200 response payload
      value:
        status: SUCCESS
        data:
          code: S7
          payments: null
          message: operation failed
    ValidateTransactionResponse3:
      summary: An example of 200 response payload
      value:
        status: SUCCESS
        data:
          code: S5
          payments:
            reference: VERS2FURTHERTESTAc722456784
            authoption: []
          message: Invalid/Missing parameters = transaction/otp
    400Response:
      summary: An example of 400 response payload
      value:
        message: Bad Request
        error: There has been a problem with reading or understanding the request.
    500Response:
      summary: An example of 500 response payload
      value:
        message: Internal Server Error
        error: PROCESSING
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.